# What is the max limit of an API request?

A single API request is limited to 50KB of text which equals 50K characters including spaces. If you plan to have larger requests, please consider splitting such requests in smaller chunks.

If you are holder of the Server solution, you can increase this limit using the AppServer [parameter](/v6.12.0/deployment/configuration/application-server/appserver-parameters.md#draft-appserverparameters-maxapirequestsize).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/faq/technical/api/what-is-the-max-limit-of-an-api-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
